---
agentTools:
  projectIndex: https://developer.bill.com/llms.txt
---

# API login as user improvements

The BILL partner API endpoints require `sessionId` as a header value that is generated with API partner login (`POST /v3/partner/login`). We learned that API login as user (`POST /v3/partner/login-as-user`) endpoint is the only BILL partner endpoint where `sessionId` is required as a body parameter.

For consistency across the BILL partner API endpoints, we now require `sessionId` as a header value for the API login as user endpoint. See [API login as user](https://developer.bill.com/v3/reference/loginasuser) in the API reference for more information.